Package: org.grails.io.support

## [Groovy] Class ByteArrayResource

- org.grails.io.support.ByteArrayResource

- All Implemented Interfaces and Traits:
    org.springframework.core.io.Resource

      @groovy.transform.CompileStatic
      class ByteArrayResource
      extends java.lang.Object
      implements org.springframework.core.io.Resource

  A Resource impl used represent a Resource as an array of bytes

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `private byte[]` | `bytes` |
    `private java.lang.String` | `description` |

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `byte[]` | `bytes`
    `java.lang.String` | `description`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `ByteArrayResource (byte[] bytes)`
    `ByteArrayResource (byte[] bytes, java.lang.String desc)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `long` | `contentLength()`
    `` | `Resource` | `createRelative(java.lang.String relativePath)`
    `` | `boolean` | `exists()`
    `` | `java.io.File` | `getFile()`
    `` | `java.lang.String` | `getFilename()`
    `` | `java.io.InputStream` | `getInputStream()`
    `` | `java.net.URI` | `getURI()`
    `` | `java.net.URL` | `getURL()`
    `` | `boolean` | `isReadable()`
    `` | `long` | `lastModified()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### private byte[] bytes

    - #### private java.lang.String description

  - ### Property Detail

    - #### byte[] bytes

    - #### java.lang.String description

  - ### Constructor Detail

    - #### ByteArrayResource(byte[] bytes)

    - #### ByteArrayResource(byte[] bytes, java.lang.String desc)

  - ### Method Detail

    - #### long contentLength()

    - #### Resource createRelative(java.lang.String relativePath)

    - #### boolean exists()

    - #### java.io.File getFile()

    - #### java.lang.String getFilename()

    - #### java.io.InputStream getInputStream()

    - #### java.net.URI getURI()

    - #### java.net.URL getURL()

    - #### boolean isReadable()

    - #### long lastModified()